2010-03-16  Jb Evain  <jbevain@novell.com>

	* Zone.cs
	* Hash.cs
	* Evidence.cs
	* PolicyLevel.cs
	* PolicyLevel_2_1.cs
	* ZoneMembershipCondition.cs
	* HashMembershipCondition.cs:
		Use MOONLIGHT symbol to disambiguate MonoTouch
		and Moonlight code.

2010-02-27 Rodrigo Kumpera  <rkumpera@novell.com>

	* Evidence.cs: Add some v4 bits.

2009-09-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* Evidence_2_1.cs: New.
	* PolicyLevel_2_1.cs: Remove use of NamedPermissionSet

2009-09-21  Sebastien Pouliot  <sebastien@ximian.com>

	* PolicyLevel_2_1.cs: Remove use of PolicyStatement

2009-07-30  Marek Safar  <marek.safar@gmail.com>

	* ApplicationTrust.cs: Add FullTrustAssemblies.

2009-04-30  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Exclude "Mono.Security.Authenticode" when building
	NET_2_1

2009-04-27  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Custom GetDefaultHostEvidence for NET_2_1
	* Hash.cs: Do not include for NET_2_1 build
	* HashMembershipCondition.cs: Do not include for NET_2_1 build
	* PolicyLevel.cs: Do not include for NET_2_1 build
	* PolicyLevel_2_1.cs: Alternate implementation for NET_2_1
	* Zone.cs: Do not include for NET_2_1 build
	* ZoneMembershipCondition.cs: Do not include for NET_2_1 build

2008-07-06  Andreas Nahr  <ClassDevelopment@A-SoftTech.com>

	* ApplicationTrust.cs: Add missing attribute

2008-07-03  Andreas Nahr  <ClassDevelopment@A-SoftTech.com>

	* ZoneMembershipCondition.cs:
	* UrlMembershipCondition.cs:
	* UnionCodeGroup.cs:
	* PolicyStatement.cs:
	* PolicyException.cs:
	* PermissionRequestEvidence.cs:
	* NetCodeGroup.cs:
	* HashMembershipCondition.cs:
	* GacMembershipCondition.cs:
	* ApplicationDirectory.cs: Fix parameter names

2008-05-30  Sebastien Pouliot  <sebastien@ximian.com> 

	* ApplicationSecurityManager.cs: Provide better MonoTODO messages 
	for the next version of MoMA.

2008-02-02  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Fix missing assignement (thanks to Gendarme :)

2006-05-30  Sebastien Pouliot  <sebastien@ximian.com>

	* CodeGroup.cs: Under 2.0 the ctor is protected (not public).

2006-01-05  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Use EscapedCodeBase instead of CodeBase. Fix nunit 
	under Windows.

2005-09-25  Sebastien Pouliot  <sebastien@ximian.com> 

	* ApplicationTrustCollection.cs: RC changed the constructor to non
	public.
	* PolicyLevel.cs: All stuff related to FullyTrustedAssemblies is 
	obsoleted in 2.0 because (a) all permission must be installed into the
	GAC, (b) everything in the GAC gets fulltrust and (c) full trust now
	means even identity permissions (like StrongNameIdentityPermission)
	succeed for unrestricted (even if it doesn't match).

2005-08-30  Sebastien Pouliot  <sebastien@ximian.com> 

	* PolicyLevel.cs: Set SecurityManager.ResolvingPolicyLevel to the 
	current policylevel instance if we want to use the FullTrustAssemblies
	collection.

2005-06-23  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* ApplicationSecurityManager.cs: Added basic calls to MonoTrustManager
	* MonoTrustManager.cs: New. Default (non SWF) trust manager.

2005-06-23  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationDirectory.cs, CodeConnectAccess.cs, Hash.cs, 
	NetCodeGroup.cs, PermissionRequestEvidence.cs, PolicyLevel.cs,
	Publisher.cs. Site.cs, StrongName.cs, TrustManagerContext.cs. Url.cs:
	better comments on remaining TODO (all 2.0 related) to ease grepping.
	Reduced the number of casts in some Equals methods.

2005-06-16  Sebastien Pouliot  <sebastien@ximian.com>

	* StrongName.cs: Empty names are only verified in NET_2_0.

2005-06-14  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Avoid creating the synchronized array lists unless they
	are needed.
	* PolicyLevel.cs: Fixed System.Drawing public key. IsFullTrustAssembly
	can now executed without a Demand for the AssemblyName. Added the
	UnionCodeGroup in the default policies. Reworked initialization to
	support FullyTrustedAssemblies.

2005-06-08  Sebastien Pouliot  <sebastien@ximian.com>

	* PolicyLevel.cs: Added some missing initialization. More code reuse.

2005-06-01  Sebastien Pouliot  <sebastien@ximian.com>

	* DefaultPolicies.cs: Added a method to create the default FullTrust
	assemblies in the policy configuration files.
	* PolicyLevel.cs: Splitted loading/initializing of PolicyLevel so it's
	now possible to load permissions outside corlib when resolving a 
	policy. However FullTrustAssemblies is still ignored at this stage.

2005-05-27  Sebastien Pouliot  <sebastien@ximian.com> 

	* DefaultPolicies.cs: Refactored code to use the new PermissionBuilder
	class. Removed references to SWF WebBrowserPermission as it is 
	documented as obsolete and will be removed before 2.0 final.

2005-05-26  Sebastien Pouliot  <sebastien@ximian.com> 

	* DefaultPolicies.cs: New. Creates the default security policies. 
	Permissions outside corlib are commented due to a bug with CAS when 
	loading them.
	* PolicyLevel.cs: Fixed TODO for Recover method and for reserved names
	in RemoveNamedPermissionSet method. Moved IsReserved method to new 
	DefaultPolicies class.

2005-05-16  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* FileCodeGroup.cs: Deal with null PolicyStatement.
	* NetCodeGroup.cs: Deal with null PolicyStatement.

2005-05-16  Sebastien Pouliot  <sebastien@ximian.com>

	* FileCodeGroup.cs: Now use PermissionSet.Union when resolving.
	* NetCodeGroup.cs: Now use PermissionSet.Union when resolving.
	* PolicyStatement.cs: Fix some minor behaviours wrt to new unit tests.
	* UnionCodeGroup.cs: Now use PermissionSet.Union when resolving.

2005-04-26  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationTrust.cs: Completed TODO. Added missing set for 
	ApplicationIdentity property.
	* ApplicationTrustCollection.cs: Completed TODO.

2005-04-25  Sebastien Pouliot  <sebastien@ximian.com>

	* AllMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2.
	* ApplicationDirectory.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2. Removed FIXME - confirmed as "by design" by MS.
	* ApplicationDirectoryMembershipCondition.cs: Added [ComVisible (true)]
	in NET_2_0 to match beta2.
	* ApplicationSecurityInfo.cs: Updated to match beta2.
	* ApplicationSecurityManager.cs: Updated to match beta2.
	* ApplicationTrust.cs: Updated to match beta2.
	* ApplicationTrustCollection.cs: Updated to match beta2.
	* ApplicationTrustEnumerator.cs: Added [ComVisible (true)] to match 
	beta2.
	* ApplicationVersionMatch.cs: Added [ComVisible (true)] to match beta2.
	* CodeConnectAccess.cs: Added [ComVisible (true)] to match beta2.
	* CodeGroup.cs: Added [ComVisible (true)] in NET_2_0 to match beta2. 
	Reworked Equals to avoid multiple typecast.
	* Evidence.cs: Updated to match beta2. Now use internal method 
	Assembly.UnprotectedGetName during security manager initialization.
	* FileCodeGroup.cs: Added [ComVisible (true)] in NET_2_0 to match 
	beta2. Removed Scope property (didn't survive beta2).
	* FirstMatchCodeGroup.cs: Added [ComVisible (true)] in NET_2_0 to 
	match beta2.
	* Gac.cs: Renamed class to GacInstalled. Added [ComVisible (true)] to
	match beta2.
	* GacMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to 
	match beta2.
	* Hash.cs: Added [ComVisible (true)] in NET_2_0 to match beta2.
	* HashMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2. Reworked Equals to avoid multiple typecast.
	* IApplicationTrustManager.cs: Added [ComVisible (true)] to match 
	beta2.
	* IIdentityPermissionFactory.cs: Added [ComVisible (true)] in NET_2_0
	to match beta2.
	* IMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2.
	* NetCodeGroup.cs: Added [ComVisible (true)] in NET_2_0 to match 
	beta2. Removed Scope property (didn't survive beta2).
	* PermissionRequestEvidence.cs: Added [ComVisible (true)] in NET_2_0 
	to match beta2.
	* PolicyException.cs: Added [ComVisible (true)] in NET_2_0 to match 
	beta2.
	* PolicyLevel.cs: Added [ComVisible (true)] in NET_2_0 to match beta2.
	* PolicyStatementAttribute.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2.
	* PolicyStatement.cs: Added [ComVisible (true)] in NET_2_0 to match 
	beta2.
	* ProvideAssemblyEvidenceEventArgs.cs: Added [ComVisible (true)] to 
	match beta2.
	* Publisher.cs: Added [ComVisible (true)] in NET_2_0 to	match beta2. 
	Reworked Equals to avoid multiple typecast.
	* PublisherMembershipCondition.cs: Added [ComVisible (true)] in 
	NET_2_0 to match beta2. Reworked Equals to avoid multiple typecast.
	* Site.cs: Added [ComVisible (true)] in NET_2_0 to match beta2. Fixed
	allowed characters accepted in site names (different in 2.0 from 1.x).
	* SiteMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2.
	* StrongName.cs: Added [ComVisible (true)] in NET_2_0 to match beta2.
	* StrongNameMembershipCondition.cs: Added [ComVisible (true)] in 
	NET_2_0 to match beta2.
	* TrustManagerContext.cs: Updated to match beta2.
	* TrustManagerUIContext.cs: Added [ComVisible (true)] to match beta2.
	* UnionCodeGroup.cs: Added [ComVisible (true)] in NET_2_0 to match
	beta2.
	* Url.cs: Added [ComVisible (true)] in NET_2_0 to match beta2. Fixed
	the difference in Url matching between 1.x and 2.0. Reworked Equals to
	avoid multiple typecast.
	* UrlMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to 
	match beta2. Fixed the difference in Url matching between 1.x and 2.0.
	* Zone.cs: Added [ComVisible (true)] in NET_2_0 to match beta2. 
	Reworked Equals to avoid multiple typecast.
	* ZoneMembershipCondition.cs: Added [ComVisible (true)] in NET_2_0 to
	match beta2.

2005-04-05  Sebastien Pouliot  <sebastien@ximian.com>

	* Hash.cs: Added Assert for FileIOPermission to GetData so it's 
	possible to get the Hash evidence under partial trust.

2005-04-04  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Build the default host evidences requires access to the
	file system even if running on partial trust (so we assert it).

2005-01-19  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* PolicyLevel.cs: Fixed RemoveNamedPermissionSet when used with a
	permission instance.
	* Zone.cs: Fixed zone for URIs without a scheme.

2005-01-19  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationTrustCollection.cs: Updated for Dec CTP.
	* ApplicationTrust.cs: Updated for Dec CTP.
	* ApplicationSecurityInfo.cs: Updated for Dec CTP.
	* ApplicationSecurityManager.cs: Updated for Dec CTP.

2005-01-18  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Fix problem with default evidence when ICU is enabled.
	Fix bug #71366.

2005-01-11  Sebastien Pouliot  <sebastien@ximian.com>

	* Hash.cs: Fix regression in 2.0 to load default (hash) evidences.

2005-01-10  Sebastien Pouliot  <sebastien@ximian.com>

	* Hash.cs: Fix exception reporting for new methods in 2.0.
	* Publisher.cs: Fixed unit tests failures under 2.0 (some exceptions
	were changed).
	* PublisherMembershipCondition.cs: Fixed unit tests failures under 2.0
	(some exceptions were changed).

2005-01-07  Raja R Harinath  <rharinath@novell.com>

	* IMembershipCondition.cs (Equals,ToString): Disable when building
	with older mcs.

2005-01-04  Sebastien Pouliot  <sebastien@ximian.com>

	* CodeGroup.cs: Removed FIXME as this was fixed (when?) in [g]mcs.

2004-11-26  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs:
	* FileCodeGroup.cs:
	* NetCodeGroup.cs:
	* PolicyLevel.cs:
	* PolicyStatement.cs:
		Added ComVisible attributes to match 2.0 October Preview.

2004-11-26  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Faster default evidence creation by using an internal
	call to check for a possible Authenticode signature of the assembly.
	Previously we had to make several I/O to verify this (quite rare)
	presence (but the runtime already had a good hint about this).

2004-10-20  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Fix the case where GetPublicKey returns a 0 length
	byte array so that we don't create an invalid StrongName evidence.

2004-09-19  Alexis Christoforides <alexis@thenull.net>

	* CodeGroup.cs: Changed AddChild() to add a copy of the child, like 
	the MS implementation.
	* UnionCodeGroup.cs: Resolve() will now perform union on child code
	groups.
	* FileCodeGroup.cs: Resolve() will now perform union on child code
	groups.
	* NetCodeGroup.cs: Resolve() will now perform union on child code
	groups.

2004-09-16  Sebastien Pouliot  <sebastien@ximian.com>

	* PolicyLevel.cs: Fixed warning by re-activating safeguard

2004-09-03  Sebastien Pouliot  <sebastien@ximian.com>

	* CodeGroup.cs: Creates an empty PermissionSet (and not an empty 
	NamedPermissionSet). Required to run the MSDN library samples.
	* FileCodeGroup.cs: Fixed Copy so that CodeGroup.Equals would work 
	preperly. Required to run the MSDN library samples.
	* FirstMatchCodeGroup.cs: Reworked the Resolve* logic to run the MSDN
	library samples.
	* PolicyLevel.cs: Fixed RemoveNamedPermissionSet and (more) complete
	CreateAppDomainLevel to run the MSDN library samples.
	* StrongNameMembershipCondition.cs: Fix ToXml to run the MSDN library
	samples.

2004-09-02  Sebastien Pouliot  <sebastien@ximian.com>

	* Site.cs: Updated to match latest unit tests, i.e. match Fx 1.1 on
	NET_1_1 and Fx 2.0 (beta 1) in NET_2_0.

2004-09-01  Sebastien Pouliot  <sebastien@ximian.com>

	* PolicyLevel.cs: Fixed Reset not to delete/load policy file for 
	AppDomain level. Added internal Resolve method for class names.

2004-08-30  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationDirectory.cs: Now use Uri class to create the local 
	application directory.
	* ApplicationDirectoryMembershipCondition.cs: Now use Uri class to
	CheckEvidence.
	* Site.cs: Implemented CreateFromUrl using Uri class.
	* Url.cs: Now use Uri class to prepare URLs.
	* UrlMembershipCondition.cs: Now use Url class (instead of a string)
	for URLs.
	* Zone.cs: Implemented default CreateFromUrl using Uri class.

2004-08-26  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationSecurityManager.cs: New stub for Fx 2.0 application trust
	security manager.
	* ApplicationSecurityManagerCodeGroup.cs: New stubbed code group for 
	NET_2_0 profile.
	* ApplicationTrustCollection.cs: New. ApplicationTrust collection for
	NET_2_0 profile.
	* ApplicationTrustEnumerator.cs: New. ApplicationTrust enumerator for
	NET_2_0 profile.

2004-08-26  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationDirectory.cs: Fixed directory validation and ToString.
	* CodeGroup.cs: Fixed PermissionSetName when policy is null.
	* Evidence.cs: Fixed Merge for null case. Fixed IsSynchronized for
	NET_2_0. Uncommented some code for NET_2_0 DomainManager usage.
	* FileCodeGroup.cs: Fixed Resolve and ResolveMatchingGroup wrt new
	unit tests.
	* Gac.cs: Implemented IBuiltInEvidence methods.
	* Hash.cs: Removed TODO from NET_2_0 as it's hashing seems compatible
	with Mono ;-). Fixed properties for use with NET_2_0.
	* HashMembershipCondition.cs: Fixed To|FromXml serialization. Make
	copies of hash value (not references).
	* PermissionRequestEvidence.cs: Now make copies of permission sets.
	* Publisher.cs: Namespace cleanup, implemented GetRequiredSize.
	* Site.cs: Namespace cleanup, implemented GetRequiredSize.
	* StrongName.cs: Namespace cleanup.
	* UnionCodeGroup.cs: Namespace cleanup, converted spaces to tabs.
	* Url.cs: Namespace cleanup, implemented GetRequiredSize.
	* Zone.cs: Namespace cleanup, globalization and added more details in 
	exception.

2004-08-24  Sebastien Pouliot  <sebastien@ximian.com>

	* UrlMembershipCondition.cs: Check now only iterate host provided
	evidences.
	* ZoneMembershipCondition.cs: FromXml doesn't throw exceptions if Zone
	attribute is missing.

2004-08-23  Sebastien Pouliot  <sebastien@ximian.com>

	* AllMembershipCondition.cs: Use common template for membership 
	condition.
	* ApplicationDirectoryMembershipCondition.cs: Use common template for
	membership condition. Limit evidences checks to host provided. 
	"Mostly" functionnal - still need to check c14n issues.
	* ApplicationMembershipCondition.cs: New. For NET_2_0 profile.
	* DomainApplicationMembershipCondition.cs: New. For NET_2_0 profile.
	* GacMembershipCondition.cs: Use common template for membership 
	condition. Limit evidences checks to host provided.
	* HashMembershipCondition.cs: Use common template for membership 
	condition. Limit evidences checks to host provided.
	* MembershipConditionHelper.cs: Internal class for common membership
	condition classes functionalities.
	* PublisherMembershipCondition.cs: Use common template for membership 
	condition.
	* SiteMembershipCondition.cs: Use common template for membership 
	condition.
	* StrongNameMembershipCondition.cs: Use common template for membership
	condition.
	* UrlMembershipCondition.cs: Use common template for membership 
	condition.
	* ZoneMembershipCondition.cs: Use common template for membership 
	condition.

2004-08-12  Sebastien Pouliot  <sebastien@ximian.com>

	* ZoneMembershipCondition.cs: Added missing tag name validation in
	FromXml.

2004-08-11  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationSecurityInfo.cs: Added missing interfaces.
	* PolicyLevel.cs: Load policies from files, using *.default files if
	policy is missing (like Fx 2.0). Fixed Resolve never to return null.
	Added hardcoded policy defaults (to be updated as CAS progress) in 
	case no policy file, nor default files, are available.
	* PolicyStatement.cs: Fixed AttributeString. Added internal static
	Empty method (helper).

2004-08-09  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationSecurityInfo.cs: New. Stub for NET_2_0.

2004-08-08  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Added new static internal method to create default
	host evidences for an assembly.
	* FileCodeGroup.cs: Added incomplete (no children) policy resolution 
	in order to load more complex policies.
	* Hash.cs: Added ISerialization support (required for cross-domain 
	evidence support, like nunit).
	* NetCodeGroup.cs: Added incomplete (no children) policy resolution in
	order to load more complex policies.

2004-08-04  Sebastien Pouliot  <sebastien@ximian.com>

	* Gac.cs: New. Implemented Gac evidence for NET_2_0.
	* GacMembershipCondition.cs: New. for NET_2_0.
	* Zone.cs: (Very) basic implementation of CreateFromUrl so we can
	create a Zone evidence using an assembly location (file://...).
	* ZoneMembershipCondition.cs: Fixed implementation wrt new unit tests.
	Added missing "class" attribute in ToXml.

2004-08-03  Sebastien Pouliot  <sebastien@ximian.com>

	* CodeGroup.cs: Added PolicyLevel parameter to internal 
	constructor. Added support for attribute PermissionSetName in
	FromXml.
	* FileCodeGroup.cs: Added PolicyLevel parameter to internal 
	constructor.
	* FirstMatchCodeGroup.cs: Added PolicyLevel parameter to internal 
	constructor.
	* NetCodeGroup.cs: Added PolicyLevel parameter to internal 
	constructor.
	* PolicyLevel.cs: Throw a PolicyException when asked to save a 
	AppDomain policy. Use new CodeGroup constructor with "this".
	* UnionCodeGroup.cs: Added PolicyLevel parameter to internal 
	constructor. Added Copy(bool) to copy, or not, the childs.

2004-08-02  Sebastien Pouliot  <sebastien@ximian.com>

	* CodeGroup.cs: Fixed Equals (true) which, strangely, only compares
	on level of children.
	* HashMembershipCondition.cs: Added empty constructor so Activator.
	CreateInstance can work.
	* PolicyLevel.cs: Implemented PolicyType (NET_2_0), Resolve and Save.
	* PublisherMembershipCondition.cs: Added empty constructor so 
	Activator.CreateInstance can work.
	* SiteMembershipCondition.cs: Added empty constructor so Activator.
	CreateInstance can work.
	* StrongNameMembershipCondition.cs: Added empty constructor so 
	Activator.CreateInstance can work.
	* UnionCodeGroup.cs: Partial implementation for Resolve (missing 
	children support). Implemented ResolveMatchingCodeGroups.
	* ZoneMembershipCondition.cs: Added empty constructor so Activator.
	CreateInstance can work. Removed "class" validation in FromXml.

2004-07-14  Sebastien Pouliot  <sebastien@ximian.com>

	* NetCodeGroup.cs: Added Equals/GetHashCode methods to NET_2_0 profile.
	* PolicyLevel.cs: Added internal constructor to load a policy file 
	from SecurityManager.

2004-07-13  Sebastien Pouliot  <sebastien@ximian.com>

	* Evidence.cs: Implemented Equals/GetHashCode and added Clear and 
	RemoveType methods for NET_2_0 profile. 
	* FileCodeGroup.cs: Added Scope property for NET_2_0 profile.
	* Hash.cs: Added static CreateMD5 and CreateSHA1 for NET_2_0 profile.
	* HashMembershipCondition.cs: Implements IDeserializationCallback and 
	ISerializable for NET_2_0 profile.
	* NetCodeGroup.cs: Add methods related to CodeConnectAccess for 
	NET_2_0 profile.
	* PolicyException.cs: Implements _Exception for NET_2_0 profile.
	* PolicyLevel.cs: Added Type property for NET_2_0 profile.
	* PolicyStatement.cs: Implemented Equals/GetHashCode for NET_2_0 
	profile.

2004-07-13  Sebastien Pouliot  <sebastien@ximian.com>

	* ApplicationDefaultCodeGroup.cs: New class in Fx 2.0.
	* ApplicationInstallScope.cs: New enum in Fx 2.0.
	* ApplicationTrust.cs: New class in Fx 2.0.
	* ApplicationVersionMatch.cs: New enum in Fx 2.0.
	* CodeConnectAccess.cs: New class in Fx 2.0.
	* CodeGroupGrantScope.cs: New enum in Fx 2.0.
	* IApplicationTrustManager.cs: New interface in Fx 2.0.
	* ITrustLicenseIssuerCollection.cs: New interface in Fx 2.0.
	* ITrustManager.cs: New interface in Fx 2.0.
	* ITrustManagerConfig.cs: New interface in Fx 2.0.
	* PromptingLevel.cs: New enum in Fx 2.0.
	* ProvideAssemblyEvidenceEventArgs.cs: New class in Fx 2.0.
	* TrustLicenseIssuer.cs: New class in Fx 2.0.
	* TrustManagerContext.cs: New class in Fx 2.0.
	* TrustManagerUIContext.cs: New enum in Fx 2.0.
	* TrustManagerZoneConfig.cs: New class in Fx 2.0.

2004-06-18  Sebastien Pouliot  <sebastien@ximian.com>

	* StrongNameMembershipCondition.cs: Added missing [Serializable] 
	attribute.
	* ZoneMembershipCondition.cs: Added missing [Serializable] attribute.

2004-06-15  Gert Driesen <drieseng@users.sourceforge.net>
	
	* Evidence.cs: added TODO for serialization

2004-06-10  Gert Driesen <drieseng@users.sourceforge.net>

	* Publisher.cs: removed extra finalizer to fix public API 
	signature, renamed private field for serialization compatibility
	with MS.NET

2004-04-25  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* Url.cs: Call invariant ToUpper

2004-03-22  Sebastien Pouliot  <sebastien@ximian.com>

	* PublisherMembershipCondition.cs: Now use CryptoConvert for 
	Hexadecimal convertions.

2004-01-28  Sebastien Pouliot  <spouliot@videotron.ca>

	* StrongName.cs: XML now use Type.Name (instead of Type.FullName) to 
	match the XML generated by MS.

2004-01-27  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CodeGroup.cs: make it build with mcs. This is a BUG.

2004-01-26  Sebastien Pouliot  <spouliot@videotron.ca>

	* AllMembershipCondition.cs: Clean up. Removed FIXME.
	* ApplicationDirectoryMembershipCondition.cs: Basic (incomplete) Check.
	* ApplicationDirectory.cs: Added IBuiltInEvidence (to please corcompare).
	* CodeGroup.cs: Now use Activator for [Named]PermissionSet. Change 
	Equals so it can compile with mcs.
	* Hash.cs: Added IBuiltInEvidence (to please corcompare).
	* PolicyLevel.cs: Minor changes to use the new empty constructors in 
	[Named]PermissionSet.
	* PermissionRequestEvidence.cs: Added IBuiltInEvidence (to please 
	corcompare). Now use SecurityElement in ToString.
	* Publisher.cs: Added IBuiltInEvidence (to please corcompare).
	* Site.cs: Added IBuiltInEvidence (to please corcompare).
	* StrongName.cs: Added IBuiltInEvidence (to please corcompare). Now use
	SecurityElement in ToString. Removed TODO on CreateIdentityPermission 
	(evidence isn't required in this case).

2004-01-14  Sebastien Pouliot  <spouliot@videotron.ca>

	* Url.cs: Added IBuiltInEvidence (corcompare) and new static methods 
	to prepare and compare urls.
	* UrlMembershipCondition.cs: Added missing [Serializable] attribute 
	and set_Url property. Implemented Check. Fixed Equals and To/FromXml.

2004-01-05  Sebastien Pouliot  <spouliot@videotron.ca>

	* CodeGroup.cs: Added internal constructor for PolicyLevel. Complete
	FromXml. Various small fixes to match the unit tests.
	* FileCodeGroup.cs: Added internal constructor for PolicyLevel. 
	Implemented GetHashCode (may not be exactly the same as MS).
	* FirstMatchCodeGroup.cs: Added internal constructor for PolicyLevel.
	Copy method now returns a deep copy (as documented).
	* NetCodeGroup.cs: Added internal constructor for PolicyLevel. Fixed 
	"Same site Web" (as documented) to "Same site Web." (as real life).
	Copy method now returns a deep copy (as documented).
	* PolicyLevel.cs: Added missing ChangeNamedPermissionSet. Implemented
	FromXml method. Added internal methods to load from file or string. 
	Added/changed lots of things to match unit tests.
	* StrongNameMembershipCondition.cs: Added internal constructor for 
	PolicyLevel. Fixed Equals.
	* UnionCodeGroup.cs: Added internal constructor for PolicyLevel.
	Copy method now returns a deep copy (as documented).

2004-01-03  Sebastien Pouliot  <spouliot@videotron.ca>

	* Site.cs: Completed implementation.
	* SiteMembershipCondition.cs: New. Implemented.

2004-01-02  Sebastien Pouliot  <spouliot@videotron.ca>

	* ApplicationDirectory.cs: Added to build. Commented IBuildInEvidence 
	(not implemented).
	* Evidence.cs: Synchronised collections (IsSynchronized is always true).
	Add Locked property and Security exceptions.
	* Publisher.cs: Now use SecurityElement in ToString. Removed TODO for
	CreateIdentityPermission (Evidence is useless).
	* StrongNameMembershipCondition.cs: Added IConstantMembershipCondition 
	interface. Implemented Check method.
	* Url.cs: Implemented CreateIdentityPermission.
	* UrlMembershipCondition.cs: Added IConstantMembershipCondition interface.
	* ZoneMembershipCondition.cs: Added IConstantMembershipCondition 
	interface. Implemented Check method.

2004-01-01  Nick Drochak  <ndrochak@gol.com>

	* PermissionRequestEvidence.cs: New File

2003-12-15  Sebastien Pouliot  <spouliot@videotron.ca>

	* PublisherMembershipCondition.cs: Completed TODO.

2003-08-05  Duncan Mak  <duncan@ximian.com>

	* ZoneMembershipCondition.cs: Added.

	* StrongNameMembershipCondition.cs:
	* UrlMembershipCondition.cs: (FromXml): Throw exceptions when the
	headers do not match.

	* PolicyStatement.cs (FromXml):
	(ToXml): Implemented.

2003-08-04  Duncan Mak  <duncan@ximian.com>
        
	* IConstantMembershipCondition.cs: added.

	* AllMembershipCondition.cs: 
	* ApplicationDirectoryMembershipCondition.cs:
	* PublisherMembershipCondition.cs: Added
	IConstantMembershipCondition marker interface.

2003-08-03  Duncan Mak  <duncan@ximian.com>

	* StrongNameMembershipCondition.cs:
	* UrlMembershipCondition.cs: Implemented.

2003-08-01  Duncan Mak  <duncan@ximian.com>

	* PolicyStatement.cs (Copy): Added.

	* PolicyLevel.cs: Implemented missing methods.

2003-07-31  Duncan Mak  <duncan@ximian.com>

	* Site.cs (IsValidSite): new method for checking the validing of
	the site name.

2003-07-30  Duncan Mak  <duncan@ximian.com>

	* Url.cs (ToString): It should output an XML string, not just the
	plain url.

2003-07-28  Duncan Mak  <duncan@ximian.com>

	* Site.cs: 
	* UnionCodeGroup.cs: 
	* Url.cs: Added to CVS, basic functionality implemented, except
	for CreateIdentityPermission (Site, Url) and the Resolve methods
	in UnionCodeGroup.

2003-06-29  Sebastien Pouliot  <spouliot@videotron.ca>

	* ApplicationDirectory.cs: Added [Serializable] attribute to class.
	* Evidence.cs: Added [Serializable] attribute to class.
	* FirstMatchCodeGroup.cs: Added [Serializable] attribute to class.
	* HashMembershipCondition.cs: Added [Serializable] attribute to class.
	* NetCodeGroup.cs: Added [Serializable] attribute to class.
	* PublisherMembershipCondition.cs: Added [Serializable] attribute to class.
	* Zone.cs: Added [Serializable] attribute to class.

2003-01-05  Sebastien Pouliot  <spouliot@videotron.ca>

	* Hash.cs: Added [Serializable] and ISerializable to class declaration.
	Changed how the hash algorithm are created (now use system default 
	implementation). Added some exception handling.

2002-12-20 Jackson Harper <jackson@latitudegeo.com>

	* Evidence.cs: Copy constructor does not attempt to merge if it recieves a null ref

2002-12-16  Sebastien Pouliot  <spouliot@videotron.ca>

	* StrongName.cs: New. Implemented.

2002-12-15  Sebastien Pouliot  <spouliot@videotron.ca>

	* Publisher.cs: New. Implemented.
	* PublisherMembershipCondition.cs: New. X509 related stuff implemented.

2002-11-28 Jackson Harper <jackson@latitudegeo.com>

	* NetCodeGroup.cs: Added file

2002-11-17 Jackson Harper <jackson@latitudegeo.com>

	* FirstMatchCodeGroup.cs: Added Copyright
	
2002-11-17 Jackson Harper <jackson@latitudegeo.com>

	* HashMembershipCondition.cs: Added file

2002-11-14 Jackson Harper <jackson@latitudegeo.com>

	* Hash.cs: ToString now uses the SecurityElement class, Assembly byte data is cached after the first load

2002-11-11 Jackson Harper <jackson@latitudegeo.com>

	* FirstMatchCodeGroup.cs: Made class sealed

2002-11-5 Jackson Harper <jackson@latitudegeo.com>

	* ApplicationDirectory.cs: Fixed (C) in file header
	
2002-10-29  Nick Drochak  <ndrochak@gol.com>

	* Hash.cs: Fix build issues.  Add some using statements mostly.

2002-10-28 Jackson Harper <jackson@latitudegeo.com>

	* FirstMatchCodeGroup.cs, Hash.cs: New classes, somewhat finished
	
2002-10-28 Jackson Harper <jackson@latitudegeo.com>

	* ApplicationDirectoryMembershipCondition.cs: Implemented most methods

2002-10-28 Jackson Harper <jackson@latitudegeo.com>

	* ApplicationDirectory.cs: Added class

2002-10-28 Jackson Harper <jackson@latitudegeo.com>

	* AllMembershipCondition.cs: Made GetHashCode act more like 
	MS version. All AllMembershipCondition instance's will return 
	the same hashcode but this hashcode should still be unique to 
	AllMembership Condition's.


2002-08-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* IBuiltInEvidence.cs: New file.
	* Zone.cs: New file. Implemented.

2002-06-10  Duncan Mak  <duncan@ximian.com>

	* IMembershipCondition.cs (Equals): Add missing methods.

2002-03-17  Nick Drochak  <ndrochak@gol.com>

	* ApplicationDirectoryMembershipCondition.cs: New file (stub)

2002-02-14  Nick Drochak  <ndrochak@gol.com>

	* FileCodeGroup.cs: Finish Equals()

2002-02-13  Dan Lewis	<dihlewis@yahoo.co.uk>

	* PolicyStatement: New file (stub)

2002-02-09  Nick Drochak  <ndrochak@gol.com>

	* FileCodeGroup.cs: New file. All done except for GetHashCode and 
	Resolve.
	* CodeGroup.cs: Fix small bug in ToXml()
	* Evidence.cs: Added method stub needed by FileCodeGroup.cs.  Added 
	MonoTODO's too.

2002-02-07  Nick Drochak  <ndrochak@gol.com>

	* CodeGroup.cs: Went as far as I can for now.  Need to look at
	the (To|From)XML methods when I understand PolicyLevels better.

2002-02-02  Nick Drochak  <ndrochak@gol.com>

	* CodeGroup.cs: Not done, but checking in now just in case

2002-01-30  Nick Drochak  <ndrochak@gol.com>

	* CodeGroup.cs: New file.  Not nearly done with this, but saving it
	in cvs just in case.
	* PolicyLevel.cs: Sarted just a bit on this then relized i need CodeGroup
	first (among others).  Checking in for disaster recovery.

2002-01-29  Nick Drochak  <ndrochak@gol.com>

	* PolicyStatementAttribute.cs: New file.
	* PolicyException.cs: Use correct namespace
	* PolicyLevel.cs: Add [Serializable] to class

2002-01-19  Duncan Mak  <duncan@ximian.com>

	* PolicyException.cs: New File.

2002-01-03  Nick Drochak  <ndrochak@gol.com>

	* IIdentityPermissionFactory.cs: New File
	* IMembershipCondition: New File

2001-12-29  Nick Drochak  <ndrochak@gol.com>

	* PolicyLevel.cs: New file

2001-12-21  Miguel de Icaza  <miguel@ximian.com>

	* SecurityElement.cs, CodeAccessPermission.cs IPermission.cs
	IStackWalk.cs SecurityElement.cs ISecurityEncodable.cs: New files.
	
